<inp2:adm_SetPopupSize width="550" height="400"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:country_states"  prefix="country-state" title_preset="country_state_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('country-state', '<inp2:country-state_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('country-state', 'OnCancelEdit','<inp2:country-state_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

			 a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('country-state', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('country-state', '<inp2:country-state_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('country-state', '<inp2:country-state_NextId/>');
						}
				 ) );



				a_toolbar.Render();

				<inp2:m_if check="country-state_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="country-state_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="country-state_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>

		<inp2:m_RenderElement name="ml_selector" prefix="country-state"/>
	</tr>
</tbody>
</table>

<inp2:country-state_SaveWarning name="grid_save_warning"/>
<inp2:country-state_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_id_label" prefix="country-state" field="CountryStateId" title="la_fld_Id"/>
		<inp2:m_RenderElement name="inp_edit_radio" prefix="country-state" field="Type" title="la_fld_Type" onclick="reflectStateCountry();"/>
		<inp2:m_RenderElement name="inp_edit_box_ml" prefix="country-state" field="Name" title="la_fld_Name"/>
		<inp2:m_RenderElement name="inp_edit_options" prefix="country-state" field="StateCountryId" title="la_fld_StateCountry" has_empty="1"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="country-state" field="IsoCode" title="la_fld_IsoCode"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="country-state" field="ShortIsoCode" title="la_fld_ShortIsoCode"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<script type="text/javascript">
	var $field_mask = '<inp2:country-state_InputName field="#FIELD_NAME#" js_escape="1"/>';

	function reflectStateCountry() {
		get_control($field_mask, 'StateCountryId').disabled = !get_control($field_mask, 'Type', '2').checked;
	}

	reflectStateCountry();
</script>

<inp2:m_include t="incs/footer"/>
